package com.awp.homedirect.ejb.control;

import java.rmi.RemoteException;
import javax.ejb.*;
import java.util.Collection;

import com.awp.homedirect.ejb.profile.Profile;
import com.awp.homedirect.ejb.account.AccountHome;
import com.awp.homedirect.ejb.account.AccountException;
import com.awp.homedirect.ejb.bill.BillHome;
import com.awp.homedirect.ejb.transact.TransactHome;
import com.awp.homedirect.util.GeneratorException;

public interface Control extends javax.ejb.EJBObject
{
    public Profile getProfile() throws java.rmi.RemoteException;
    public void setProfile(Profile profile) throws java.rmi.RemoteException;

    public AccountHome getAccountHome() throws java.rmi.RemoteException;
    public BillHome getBillHome() throws java.rmi.RemoteException;
    public TransactHome getTransactHome() throws java.rmi.RemoteException;

    public Collection getAccounts() throws java.rmi.RemoteException;
    public Collection getTransacts() throws java.rmi.RemoteException;
    public Collection getUnpaidBills() throws java.rmi.RemoteException;

    public String PayBill(String fromAccount,
                          String billId)
                  throws java.rmi.RemoteException, AccountException, GeneratorException;

    public String TransferFunds(String fromAccount,
                                String toAccount,
                                long lAmount)
                  throws java.rmi.RemoteException, AccountException, GeneratorException;

    public void updateProfileInfo(String salutation, String fullname, String password)
                throws java.rmi.RemoteException;
}
