package com.awp.homedirect.ejb.transact;

import java.rmi.RemoteException;
import javax.ejb.*;
import java.util.Collection;

import com.awp.homedirect.util.*;

public class TransactEJB implements javax.ejb.EntityBean
{
    // EJB context
    public javax.ejb.EntityContext EJB_Context;

    // CMP fields
    public int customerid;
    public String explanation;
    public String fromaccountid;
    public String toaccountid;
    public String tobillid;
    public long total;
    public String transactid;
    
    // Lifecycle methods
    public java.lang.String ejbCreate(int customerid,
                                      String explanation,
                                      String fromaccountid,
                                      String toaccountid,
                                      String tobillid,
                                      long total,
                                      String transactid)
                            throws javax.ejb.CreateException
    {
        this.customerid = customerid;
        this.explanation = explanation;
        this.fromaccountid = fromaccountid;
        this.toaccountid = toaccountid;
        this.tobillid = tobillid;
        this.total = total;
        this.transactid = transactid;

        return null;
    }
    
    public void ejbPostCreate(int customerid,
                              String explanation,
                              String fromaccountid,
                              String toaccountid,
                              String tobillid,
                              long total,
                              String transactid)
                throws javax.ejb.CreateException
    { 
    }
    
    public void ejbActivate() {}
    public void ejbPassivate() {}
 
    public void ejbLoad()
    { 
        if(Trace.OK) System.out.println("HD<TransactEJB-ejbLoad>: " + getTransactid());
    }
 
    public void ejbStore()
    { 
        if(Trace.OK) System.out.println("HD<TransactEJB-ejbStore>: " + getTransactid());
    }
 
    public void ejbRemove() throws javax.ejb.RemoveException
    { 
    }
 
    public void setEntityContext(javax.ejb.EntityContext ctx)
    { 
        EJB_Context = ctx;
    }
 
    public void unsetEntityContext()
    { 
        EJB_Context = null;
    }

    // Accessor methods    
    public String getTransactid()
    { 
        return transactid;
    }

    public int getCustomerid()
    { 
        return customerid;
    }
    
    public void setCustomerid(int newCustomerid)
    { 
        customerid = newCustomerid;
    }

    public String getExplanation()
    { 
        return explanation;
    }

    public void setExplanation(String newExplanation)
    { 
        explanation = newExplanation;
    }

    public String getFromaccountid()
    { 
        return fromaccountid;
    }

    public void setFromaccountid(String newFromaccountid)
    { 
        fromaccountid = newFromaccountid;
    }

    public String getToaccountid()
    { 
        return toaccountid;
    }

    public void setToaccountid(String newToaccountid)
    { 
        toaccountid = newToaccountid;
    }

    public String getTobillid()
    { 
        return tobillid;
    }

    public void setTobillid(String newTobillid)
    { 
        tobillid = newTobillid;
    }

    public long getTotal()
    { 
        return total;
    }

    public void setTotal(long newTotal)
    { 
        total = newTotal;
    }

    // Business methods
    public String getTotalStr()
    { 
        return Convert.l2cur(total);
    }
    
    public String getRowForList()
    {
        String sRow = "<TR align=\"center\">" +
                      "<TD bgcolor=white>" + getTransactid() +
                      "<TD bgcolor=white>" + getFromaccountid();

        if((getToaccountid() == null) || (getToaccountid().length() == 0))
        {
            sRow = sRow + "<TD bgcolor=white>" + getTobillid();
        }
        else
        {
            sRow = sRow + "<TD bgcolor=white>" + getToaccountid();
        }

        sRow = sRow + "<TD bgcolor=white>" + getExplanation() +
                      "<TD bgcolor=white><B>" + getTotalStr() + "</B>\n";

        return sRow;
    }
}
