package com.awp.homedirect.util;

import javax.naming.NamingException;
import javax.rmi.PortableRemoteObject;
import javax.naming.InitialContext;

import com.awp.homedirect.ejb.account.AccountHome;
import com.awp.homedirect.ejb.bill.BillHome;
import com.awp.homedirect.ejb.control.ControlHome;
import com.awp.homedirect.ejb.profile.ProfileHome;
import com.awp.homedirect.ejb.transact.TransactHome;
import com.awp.homedirect.util.*;

public final class LookupHome
{
    public static AccountHome getAccountHome()
    {
        AccountHome accountHome = null;

        try
        {
            // Get the Account home interface
            InitialContext initCtx = new InitialContext();
            Object objRef = initCtx.lookup(EJBNames.ACCOUNT_EJBHOME);
            accountHome = (AccountHome)PortableRemoteObject.
                          narrow(objRef, AccountHome.class);

            if(Trace.OK) System.out.println("HD<LookupHome-getAccountHome>: Completed ok");
        }
        catch(NamingException e)
        {
            if(Trace.OK) System.out.println("HD<LookupHome-getAccountHome>: Error - " + e);
        }

        return accountHome;
    }

    public static BillHome getBillHome()
    {
        BillHome billHome = null;

        try
        {
            // Get the Bill home interface
            InitialContext initCtx = new InitialContext();
            Object objRef = initCtx.lookup(EJBNames.BILL_EJBHOME);
            billHome = (BillHome)PortableRemoteObject.
                       narrow(objRef, BillHome.class);

            if(Trace.OK) System.out.println("HD<LookupHome-getBillHome>: Completed ok");
        }
        catch(NamingException e)
        {
            if(Trace.OK) System.out.println("HD<LookupHome-getBillHome>: Error - " + e);
        }

        return billHome;
    }

    public static ControlHome getControlHome()
    {
        ControlHome controlHome = null;

        try
        {
            // Get the Control home interface
            InitialContext initCtx = new InitialContext();
            Object objRef = initCtx.lookup(EJBNames.CONTROL_EJBHOME);
            controlHome = (ControlHome)PortableRemoteObject.
                          narrow(objRef, ControlHome.class);

            if(Trace.OK) System.out.println("HD<LookupHome-getControlHome>: Completed ok");
        }
        catch(NamingException e)
        {
            if(Trace.OK) System.out.println("HD<LookupHome-getControlHome>: Error - " + e);
        }

        return controlHome;
    }

    public static ProfileHome getProfileHome()
    {
        ProfileHome profileHome = null;

        try
        {
            // Get the Profile home interface
            InitialContext initCtx = new InitialContext();
            Object objRef = initCtx.lookup(EJBNames.PROFILE_EJBHOME);
            profileHome = (ProfileHome)PortableRemoteObject.
                          narrow(objRef, ProfileHome.class);

            if(Trace.OK) System.out.println("HD<LookupHome-getProfileHome>: Completed ok");
        }
        catch(NamingException e)
        {
            if(Trace.OK) System.out.println("HD<LookupHome-getProfileHome>: Error - " + e);
        }

        return profileHome;
    }

    public static TransactHome getTransactHome()
    {
        TransactHome transactHome = null;

        try
        {
            // Get the Transact home interface
            InitialContext initCtx = new InitialContext();
            Object objRef = initCtx.lookup(EJBNames.TRANSACT_EJBHOME);
            transactHome = (TransactHome)PortableRemoteObject.
                           narrow(objRef, TransactHome.class);

            if(Trace.OK) System.out.println("HD<LookupHome-getTransactHome>: Completed ok");
        }
        catch(NamingException e)
        {
            if(Trace.OK) System.out.println("HD<LookupHome-getTransactHome>: Error - " + e);
        }

        return transactHome;
    }
}
