package com.awp.homedirect.web;

import java.rmi.RemoteException;
import java.util.Collection;
import java.util.Iterator;

import com.awp.homedirect.util.Trace;
import com.awp.homedirect.ejb.account.Account;
import com.awp.homedirect.ejb.bill.Bill;

public class AccountInfo
{
    private Collection accounts;
    private Collection bills;
    private String tableData;

    public AccountInfo(Collection accounts)
    {
        this.accounts = accounts;
    }

    public AccountInfo(Collection accounts,
                       Collection bills)
    {
        this.accounts = accounts;
        this.bills = bills;
    }

    // Formats account info for output in a viewable table
    public String getAccountTableForBalances()
    {
        tableData = "<BR><BR><BR><BR><BR><BR>\n" +
                    "<CENTER><H4>** No account information for this user **</H4></CENTER>\n" +
                    "<BR><BR><BR><BR><BR>\n";

        if(accounts.size() > 0)
        {
            try
            {
                Iterator iterator = accounts.iterator();
                tableData = "<CENTER>\n" +
                            "<TABLE border=5 width=700 height=250>\n" +
                            "<TR>" +
                            "<TH bgcolor=\"#ccffcc\">Account Number" +
                            "<TH bgcolor=\"#ccffcc\">Account Type" +
                            "<TH bgcolor=\"#ccffcc\">Balance" +
                            "<TH bgcolor=\"#ccffcc\">Overdraft / Limit\n";

                for(int i=0; i<accounts.size(); i++)
                {  
                    Account account = (Account)iterator.next();
                    tableData = tableData + account.getRowForBalances();
                }
                tableData = tableData + "</TR>\n</TABLE>\n</CENTER>\n";
            }
            catch(RemoteException e)
            {
                if(Trace.OK) System.out.println("HD<AccountInfo>: Error 1 - " + e);
            }
        }
        
        return tableData;
    }

    // Formats account and bill info for output in two viewable tables
    public String getAccountTableForPayBills()
    {
        tableData = "<BR><BR><BR><BR><BR><BR><BR><BR>\n" +
                    "<CENTER><H4>** No account information for this user **</H4></CENTER>\n" +
                    "<BR><BR><BR><BR><BR><BR><BR>\n";

        if((accounts.size() > 0) && (bills.size() == 0))
        {
            tableData = "<BR><BR><BR><BR><BR><BR><BR><BR>\n" +
                        "<CENTER><H4>** No bills to pay for this user **</H4></CENTER>\n" +
                        "<BR><BR><BR><BR><BR><BR><BR>\n";
        }

        if((accounts.size() > 0) && (bills.size() > 0))
        {
            try
            {
                Iterator iterator = accounts.iterator();

                // Set FROM account information first
                tableData = "<FORM name=\"BillForm\" action=\"/homedirect/BillServlet\" method=\"post\">\n" +
                            "<CENTER><H4>Select Account to Pay Bill FROM:\n" +
                            "<TABLE border=5 width=700 height=100>\n" +
                            "<TR>" +
                            "<TH bgcolor=\"#ccffcc\">FROM Account" +
                            "<TH bgcolor=\"#ccffcc\">Account Type" +
                            "<TH bgcolor=\"#ccffcc\">Balance" +
                            "<TH bgcolor=\"#ccffcc\">Overdraft / Limit" +
                            "<TH bgcolor=\"#ccffcc\">Withdrawl Fee\n";

                for(int i=0; i<accounts.size(); i++)
                {  
                    Account account = (Account)iterator.next();
                    tableData = tableData + account.getRowForPayBills();
                }
                tableData = tableData + "</TR>\n</TABLE>\n</CENTER>\n";

                // Now set bill information
                Iterator iterator2 = bills.iterator();
                tableData = tableData + "<BR><CENTER>Select Bill to PAY:\n" +
                            "<TABLE border=5 width=700 height=100>\n" +
                            "<TR>" +
                            "<TH bgcolor=\"#ccffcc\">Bill Identifier" +
                            "<TH bgcolor=\"#ccffcc\">Bill Name" +
                            "<TH bgcolor=\"#ccffcc\">Due Date" +
                            "<TH bgcolor=\"#ccffcc\">Amount Due\n";

                for(int i=0; i<bills.size(); i++)
                {  
                    Bill bill = (Bill)iterator2.next();
                    tableData = tableData + bill.getRowForUnpaidBills();
                }
                tableData = tableData + "</TR>\n</TABLE>\n</H4>\n</CENTER>\n" +
                            "<CENTER>\n<H4>\nPassword to confirm:" +
                            "<INPUT type=\"password\" name=\"password\" size=\"16\" maxlength=\"8\">\n" +
                            "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\n" +
                            "<INPUT type=\"submit\" name=\"paybill\" value=\"Pay Bill\">\n" +
                            "&nbsp;&nbsp;&nbsp;&nbsp;\n" +
                            "<INPUT type=\"submit\" name=\"cancel\" value=\" Cancel \">\n" +
                            "</H4>\n</CENTER>\n</FORM>\n";
            }
            catch(RemoteException e)
            {
                if(Trace.OK) System.out.println("HD<AccountInfo>: Error 2 - " + e);
            }
        }
        else
        {
            tableData = tableData + "<BR>\n<FORM name=\"BillForm\" action=\"Main.jsp\" method=\"post\">\n" +
                        "<CENTER>\n<INPUT type=\"submit\" name=\"ok\" value=\"        OK        \">\n" +
                        "</CENTER>\n</FORM>\n";
        }
        
        return tableData;
    }

    // Formats account info for output in a viewable table
    public String getAccountTableForTransfer()
    {
        tableData = "<BR><BR><BR><BR><BR><BR>\n" +
                    "<CENTER><H4>** No account information for this user **</H4></CENTER>\n" +
                    "<BR><BR><BR><BR><BR>\n";

        if(accounts.size() > 0)
        {
            try
            {
                Iterator iterator = accounts.iterator();

                // Set FROM and TO account information
                tableData = "<CENTER><H4>Select Accounts to Transfer FROM and TO:\n" +
                            "<TABLE border=5 width=700 height=180>\n" +
                            "<TR>" +
                            "<TH bgcolor=\"#ccffcc\">FROM" +
                            "<TH bgcolor=\"#ccffcc\">  TO  " +
                            "<TH bgcolor=\"#ccffcc\">Account Number" +
                            "<TH bgcolor=\"#ccffcc\">Account Type" +
                            "<TH bgcolor=\"#ccffcc\">Balance" +
                            "<TH bgcolor=\"#ccffcc\">Overdraft / Limit" +
                            "<TH bgcolor=\"#ccffcc\">Withdrawl Fee\n";

                for(int i=0; i<accounts.size(); i++)
                {  
                    Account account = (Account)iterator.next();
                    tableData = tableData + account.getRowForTransfer();
                }
                tableData = tableData + "</TR>\n</TABLE>\n</H4>\n</CENTER>\n";
            }
            catch(RemoteException e)
            {
                if(Trace.OK) System.out.println("HD<AccountInfo>: Error 3 - " + e);
            }
        }
        
        return tableData;
    }
}
