package com.awp.homedirect.web;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import java.rmi.RemoteException;

import com.awp.homedirect.ejb.control.Control;
import com.awp.homedirect.util.*;


public class ProfileServlet extends javax.servlet.http.HttpServlet
                            implements javax.servlet.SingleThreadModel
{
    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException, java.io.IOException 
    {
        if(Trace.OK) System.out.println("HD<ProfileServlet-doPost>: Entry");

        String salutation = request.getParameter("salutation");
        String fullname = request.getParameter("fullname");
        String password = request.getParameter("password");
        String newpass = request.getParameter("newpass");
        String newpass2 = request.getParameter("newpass2");
        String ok = request.getParameter("ok");
        String redirect = "/Main.jsp";
        boolean stopChanges = false;

        // Validate inputs
        if(ok != null)
        {
            // Prepare to update
            HttpSession session = request.getSession(true);
            Control controlRemote = (Control)session.getAttribute("controlRemote"); 
                
            // See if current password checks out okay
            if(controlRemote.getProfile().getPassword().equals(password))
            {
                // Check if new passwords match, if they have been entered
                if((newpass != null) && (newpass.length() > 0))
                {
                    if(newpass.equals(newpass2))
                    {
                        password = newpass;
                    }
                    else
                    {
                        if(Trace.OK) System.out.println("HD<ProfileServlet-doPost>: Invalid new password");
                        request.setAttribute("profileText", TextData.PROFILEBADNEWPWD);
                        redirect = "/EditProfile.jsp";
                        stopChanges = true;
                    }
                }

                if(!stopChanges)
                {
                    try
                    {
                        // Make the necessary updates to the profile
                        controlRemote.updateProfileInfo(salutation,
                                                        fullname,
                                                        password);

                        // Set new customer name
                        session.setAttribute("customerName", controlRemote.getProfile().getCustomerName());

   
                        if(Trace.OK) System.out.println("HD<ProfileServlet-doPost>: Profile changed");
    
                        request.setAttribute("infoText", TextData.PROFILECHANGED);
                    }
                    catch(RemoteException e)
                    {
                        if(Trace.OK) System.out.println("HD<ProfileServlet-doPost>: Error - " + e);
                    }
                }
            }
            else
            {
                if(Trace.OK) System.out.println("HD<ProfileServlet-doPost>: Invalid current password");
                request.setAttribute("profileText", TextData.PROFILEBADPWD);
                redirect = "/EditProfile.jsp";
            }
        }
        else
        {
            if(Trace.OK) System.out.println("HD<ProfileServlet-doPost>: Edit profile cancelled");
            request.setAttribute("infoText", TextData.CANCELEDITPROFILE);
        }

        if(Trace.OK) System.out.println("HD<ProfileServlet-doPost>: Exit");

        // Redirect to the next JSP page
        RequestDispatcher dispatcher = getServletContext().getRequestDispatcher(redirect);
        dispatcher.forward(request, response);
    }
}
