DROP TABLE transact
;

DROP TABLE bill
;

DROP TABLE account
;

DROP TABLE profile
;

CREATE TABLE profile (
    customerid int not null,
    fullname varchar(40) null,
    password varchar(8) not null,
    salutation varchar(8) null,
    username varchar(12) not null,
    constraint pk_profile primary key (username)
)
;

CREATE TABLE account (
    accountid varchar(16) not null,
    accounttype char(2) not null,
    balance longint not null,
    customerid int not null,
    limit longint null,
    userfee longint null,
    constraint pk_account primary key (accountid)
)
;

CREATE TABLE bill (
    billid char(12) not null,
    billname varchar(60) not null,
    customerid int not null,
    dueamount longint not null,
    duedate varchar(10) null,
    referenceid char(16) null,
    constraint pk_bill primary key (billid)
)
;

CREATE TABLE transact (
    customerid int not null,
    explanation varchar(255) null,
    fromaccountid varchar(16) not null,
    toaccountid varchar(16) null,
    tobillid char(12) null,
    total longint null,
    transactid char(16) not null,
    constraint pk_trans primary key (transactid)
)
;

INSERT INTO profile VALUES (4488,'Cary E. Umrysh','pass','','cumrysh')
;
INSERT INTO profile VALUES (5678,'Khawar Z. Ahmed','pass','','kahmed')
;
INSERT INTO profile VALUES (6061,'Guest','pass','Dr.','guest1')
;
INSERT INTO profile VALUES (7592,'Guest','pass','Ms.','guest2')
;

INSERT INTO account VALUES ('78789910','PC',406278,4488,100000,0)
;
INSERT INTO account VALUES ('78789936','PS',1678912,4488,0,50)
;
INSERT INTO account VALUES ('5400678910215569','VS',113725,4488,1000000,300)
;

INSERT INTO account VALUES ('78148756','PC',290786,5678,50000,50)
;
INSERT INTO account VALUES ('68656755','PS',332160,5678,0,150)
;
INSERT INTO account VALUES ('5454211031095478','VS',113725,5678,500000,300)
;
INSERT INTO account VALUES ('5818090266210068','VS',54523,5678,300000,500)
;

INSERT INTO account VALUES ('67767564','PC',32138,6061,30000,0)
;
INSERT INTO account VALUES ('67767578','PS',1212,6061,0,0)
;
INSERT INTO account VALUES ('67778789','SS',2009056,6061,0,200)
;
INSERT INTO account VALUES ('8976599985486895','VS',192423,6061,1000000,300)
;

INSERT INTO account VALUES ('89548973','PC',321312,7592,100000,0)
;
INSERT INTO account VALUES ('89404390','PS',98054,7592,0,75)
;
INSERT INTO account VALUES ('09865493','SS',0.06,7592,10000,150)
;
INSERT INTO account VALUES ('8907845367054978','VS',904890,7592,1500000,200)
;
INSERT INTO account VALUES ('8974578945789054','VS',9685,7592,300000,300)
;

INSERT INTO bill VALUES ('197681122439','Delta Electric',4488,14032,'2001-12-31','')
;
INSERT INTO bill VALUES ('197681122235','Acme PCS',4488,5103,'2001-12-24','')
;
INSERT INTO bill VALUES ('197681352432','Speedy DSL',4488,3212,'2001-12-25','')
;

INSERT INTO bill VALUES ('197784287908','Altas Energy',5678,17832,'2001-12-31','')
;
INSERT INTO bill VALUES ('197795698040','Acme Water',5678,11905,'2001-12-24','')
;

INSERT INTO bill VALUES ('894587945789','Regency Stores',6061,9887,'2001-12-31','')
;
INSERT INTO bill VALUES ('894590690640','Super California',6061,54645,'2001-12-24','')
;
INSERT INTO bill VALUES ('894587943278','Northwest Gas',6061,6534,'2001-12-25','')
;

INSERT INTO bill VALUES ('908767676647','Fashion Victim',7592,435544,'2001-12-31','')
;
INSERT INTO bill VALUES ('907875784523','Scream DSL',7592,4199,'2001-12-24','')
;
INSERT INTO bill VALUES ('907083789045','Static PCS',7592,7890,'2001-12-25','')
;
INSERT INTO bill VALUES ('908974589656','Seattle Outdoor Co.',7592,70834,'2001-12-31','')
;
