package com.awp.homedirect.ejb.profile;

import java.rmi.RemoteException;
import javax.ejb.*;

import com.awp.homedirect.util.Trace;

public abstract class ProfileEJB implements javax.ejb.EntityBean
{
    // EJB context
    public javax.ejb.EntityContext EJB_Context;

    // Lifecycle methods
    public java.lang.String ejbCreate(int customerid,
                                      String fullname,
                                      String password,
                                      String salutation,
                                      String username)
                            throws javax.ejb.CreateException
    { 
        setUsername(username);
        setPassword(password);
        setCustomerid(customerid);
        setSalutation(salutation);
        setFullname(fullname);

        return null;
    }

    public void ejbPostCreate(int customerid,
                              String fullname,
                              String password,
                              String salutation,
                              String username)
                throws javax.ejb.CreateException
    { 
    }
    
    public void ejbActivate() {}
    public void ejbPassivate() {}

    public void ejbLoad()
    {
        if(Trace.OK) System.out.println("HD<ProfileEJB-ejbLoad>: " + getUsername());
    }
    
    public void ejbStore()
    { 
        if(Trace.OK) System.out.println("HD<ProfileEJB-ejbStore>: " + getUsername());
    }
    
    public void ejbRemove() throws javax.ejb.RemoveException
    {
        if(Trace.OK) System.out.println("HD<ProfileEJB-ejbRemove>: " + getUsername());
    }
    
    public void setEntityContext(javax.ejb.EntityContext ctx)
    { 
        EJB_Context = ctx;
    }

    public void unsetEntityContext()
    { 
        EJB_Context = null;
    }

    // Accessor methods    
    public abstract String getUsername();
    public abstract void setUsername(String newUsername);

    public abstract String getPassword();
    public abstract void setPassword(String newPassword);

    public abstract int getCustomerid();
    public abstract void setCustomerid(int newCustomerid);

    public abstract String getSalutation();
    public abstract void setSalutation(String newSalutation);

    public abstract String getFullname();
    public abstract void setFullname(String newFullname);
    
    // Business methods
    public String getCustomerName()
    {
        String customerName = getSalutation();

        if((customerName == null) || (customerName.length() == 0))
        { 
            customerName = getFullname();
        }
        else
        {
            customerName = getSalutation() + " " + getFullname();
        }
 
        return customerName;
    }

    public String getProfileInfo()
    {
        String info = "Salutation:\n"+
                      "<INPUT type=\"text\" name=\"salutation\" value=\"" +
                      getSalutation() + "\" size=\"16\" maxlength=\"8\">\n" +
                      "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;\n" +
                      "Full Name:\n" +
                      "<INPUT type=\"text\" name=\"fullname\" value=\"" +
                      getFullname() + "\" size=\"40\" maxlength=\"40\">\n";

        return info;
    }

    public void setProfileInfo(String salutation,
                               String fullname,
                               String password)
    {
        setSalutation(salutation);
        setFullname(fullname);
        setPassword(password);
    }
}
