package com.awp.homedirect.ejb.transact;

import java.rmi.RemoteException;
import javax.ejb.*;
import java.util.Collection;

import com.awp.homedirect.util.*;

public abstract class TransactEJB implements javax.ejb.EntityBean
{
    // EJB context
    public javax.ejb.EntityContext EJB_Context;

    // Lifecycle methods
    public java.lang.String ejbCreate(int customerid,
                                      String explanation,
                                      String fromaccountid,
                                      String toaccountid,
                                      String tobillid,
                                      long total,
                                      String transactid)
                            throws javax.ejb.CreateException
    {
        setCustomerid(customerid);
        setExplanation(explanation);
        setFromaccountid(fromaccountid);
        setToaccountid(toaccountid);
        setTobillid(tobillid);
        setTotal(total);
        setTransactid(transactid);

        return null;
    }
    
    public void ejbPostCreate(int customerid,
                              String explanation,
                              String fromaccountid,
                              String toaccountid,
                              String tobillid,
                              long total,
                              String transactid)
                throws javax.ejb.CreateException
    { 
    }
    
    public void ejbActivate() {}
    public void ejbPassivate() {}
 
    public void ejbLoad()
    { 
        if(Trace.OK) System.out.println("HD<TransactEJB-ejbLoad>: " + getTransactid());
    }
 
    public void ejbStore()
    { 
        if(Trace.OK) System.out.println("HD<TransactEJB-ejbStore>: " + getTransactid());
    }
 
    public void ejbRemove() throws javax.ejb.RemoveException
    { 
    }
 
    public void setEntityContext(javax.ejb.EntityContext ctx)
    { 
        EJB_Context = ctx;
    }
 
    public void unsetEntityContext()
    { 
        EJB_Context = null;
    }

    // Accessor methods    
    public abstract String getTransactid();
    public abstract void setTransactid(String newTransactid);

    public abstract int getCustomerid();
    public abstract void setCustomerid(int newCustomerid);

    public abstract String getExplanation();
    public abstract void setExplanation(String newExplanation);

    public abstract String getFromaccountid();
    public abstract void setFromaccountid(String newFromaccountid);

    public abstract String getToaccountid();
    public abstract void setToaccountid(String newToaccountid);

    public abstract String getTobillid();
    public abstract void setTobillid(String newTobillid);

    public abstract long getTotal();
    public abstract void setTotal(long newTotal);

    // Business methods
    public String getTotalStr()
    { 
        return Convert.l2cur(getTotal());
    }
    
    public String getRowForList()
    {
        String sRow = "<TR align=\"center\">" +
                      "<TD bgcolor=white>" + getTransactid() +
                      "<TD bgcolor=white>" + getFromaccountid();

        if((getToaccountid() == null) || (getToaccountid().length() == 0))
        {
            sRow = sRow + "<TD bgcolor=white>" + getTobillid();
        }
        else
        {
            sRow = sRow + "<TD bgcolor=white>" + getToaccountid();
        }

        sRow = sRow + "<TD bgcolor=white>" + getExplanation() +
                      "<TD bgcolor=white><B>" + getTotalStr() + "</B>\n";

        return sRow;
    }
}
