package com.awp.homedirect.util;

public final class Convert
{
    // Converts a long input (in cents) to a string currency output (in dollars)
    // (To prevent decimal rounding errors, all currency in this example is
    // stored as long integers in the underlying database, in cents.)
    public static String l2cur(long lIn)
    {
        String sOut = null;
        long lCents = lIn;

        if(lIn < 0)
        {
            lCents *= -1;
        }

        if(lCents == 0)
        {
            sOut = "0.00";
        }
        else if (lCents < 10)
        {
            sOut = "0.0" + lCents;
        }            
        else if (lCents < 100)
        {
            sOut = "0." + lCents;
        }
        else
        {
            // Convert to a string, and insert the decimal
            String sConv = String.valueOf(lCents);
            int index = sConv.length() - 2;
            sOut = "." + sConv.substring(index);
            sConv = sConv.substring(0, index);

            // Insert commas as needed
            while(index > 3)
            {
                index = index - 3;
                sOut = "," + sConv.substring(index, index + 3) + sOut;
                sConv = sConv.substring(0, index);
            }

            // Add final digits and currency symbol
            sOut = sConv + sOut;
        }

        if(lIn < 0)
        {
            sOut = "-" + sOut;
        }

        sOut = "$ " + sOut;

        return sOut;
    }
}
